Skip to content

Installing Dependencies

Pablo Conesa edited this page Mar 1, 2018 · 18 revisions
Scipion Logo

Fedora

yum install gcc gcc-g++ cmake java-1.8.0-openjdk-devel.x86_64 libXft-devel.x86_64  openssl-devel.x86_64 libXext-devel.x86_64  libxml++.x86_64 libquadmath-devel.x86_64 libxslt.x86_64 openmpi-devel.x86_64  gsl-devel.x86_64  libX11.x86_64  gcc-gfortran.x86_64

Note: Use dnf install instead of yum if your Fedora is recent

CentOS7

yum install wget gcc-c++ glibc-headers gcc gcc-g++ cmake java-1.8.0-openjdk-devel.x86_64 libXft-devel.x86_64  openssl-devel.x86_64 libXext-devel.x86_64  libxml++.x86_64 libquadmath-devel.x86_64 libxslt.x86_64 openmpi-devel.x86_64  gsl-devel.x86_64  libX11.x86_64  gcc-gfortran.x86_64

Note: The MPI directories in CentOS are not in the PATH, so after the config you will need to edit the config/scipion.conf file and set something like:

MPI_BINDIR = /usr/lib64/openmpi/bin
MPI_LIBDIR = /usr/lib64/openmpi/lib
MPI_INCLUDE = /usr/include/openmpi-x86_64

Suse

zypper install gcc gcc-c++ gcc-fortran cmake java-1_8_0-openjdk-devel libXft-devel libXext-devel libxml2-devel libreadline6 libquadmath0 libxslt-devel libXss-devel libX11-devel freetype-devel gsl-devel openmpi-devel openssl openssl-devel

HTTP error

if you hit this error

  File "scripts/get-pip.py", line 19177, in <module>
    main()
  File "scripts/get-pip.py", line 194, in main
    bootstrap(tmpdir=tmpdir)
  File "scripts/get-pip.py", line 82, in bootstrap
    import pip
  File "/tmp/tmpzqGEfV/pip.zip/pip/__init__.py", line 16, in <module>
    # *
  File "/tmp/tmpzqGEfV/pip.zip/pip/vcs/subversion.py", line 9, in <module>
  File "/tmp/tmpzqGEfV/pip.zip/pip/index.py", line 30, in <module>
  File "/tmp/tmpzqGEfV/pip.zip/pip/wheel.py", line 39, in <module>
  File "/tmp/tmpzqGEfV/pip.zip/pip/_vendor/distlib/scripts.py", line 14, in <module>
  File "/tmp/tmpzqGEfV/pip.zip/pip/_vendor/distlib/compat.py", line 31, in <module>

You might need to install openssl libraries: sudo zypper install openssl openssl-devel

remove python and install again

rm -rf software/bin/python*
rm -rf software/lib/python2.7/
Clone this wiki locally
You can’t perform that action at this time.
You signed in with another tab or window. Reload to refresh your session. You signed out in another tab or window. Reload to refresh your session.